# $Revision: 1.34 $, $Date: 2002/10/13 13:24:39 $
%include	/usr/lib/rpm/macros.perl
Summary:	Sympa is a powerful multilingual List Manager - LDAP and SQL features
Summary(fr):	Sympa est un gestionnaire de listes lectroniques
Summary(pl):	Sympa jest uytecznym wielojzycznym zarzdc list - obsuguje LDAP i SQL
Name:		sympa
Version:	3.3.5
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://listes.cru.fr/sympa/distribution/%{name}-%{version}.tar.gz
Source1:	%{name}-pl-3.3.5-020515.tar.bz2
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
Source5:	%{name}-www.conf
URL:		http://listes.cru.fr/sympa/
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-wwslib-pl.patch
Patch2:		%{name}-compare.patch
Requires:	perl 		   >= 5.6.0
Requires:	perl-MailTools     >= 1.14
Requires:	perl-MIME-Base64   >= 1.0
Requires:	perl-IO-stringy    >= 1.0
Requires:	perl-Locale-Msgcat >= 1.03
Requires:	perl-MIME-tools    >= 5.209
Requires:	perl-CGI-modules   >= 2.52
Requires:	perl-DBI	   >= 1.06
Requires:	perl-ldap          >= 0.10
Requires:	perl-DB_File	   >= 1.805
Requires:	perl-CGI	   >= 2.85
## Also requires a DBD for the DBMS
## (perl-DBD-Pg or Perl- Msql-Mysql-modules)
Requires:	perl-FCGI          >= 0.48
Requires:	MHonArc 	   >= 2.4.5
Requires:	perl-Digest-MD5
Requires:	apache
Requires:	openssl 	   >= 0.9.5a
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/groupadd
Requires(post,preun):	/sbin/chkconfig
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define home_s  /var/lib/sympa

%description
Sympa is scalable and highly customizable mailing list manager. It can
cope with big lists (100,000 subscribers) and comes with a complete
(user and admin) Web interface. It is internationalized, and supports
the us, fr, de, es, it, fi, and chinese locales. A scripting language
allows you to extend the behavior of commands. Sympa can be linked to
an LDAP directory or an RDBMS to create dynamic mailing lists. Sympa
provides S/MIME-based authentication and encryption.

Documentation is available under HTML and Latex (source) formats.

%description -l pl
Sympa jest skalowalnym i wysoko konfigurowalnym zarzdc pocztowych
list dyskusyjnych. Radzi sobie z duymi listami (100 000
subskrybentw) i przychodzi z penym (uytkownika i administratora)
interfejsem WWW. Jest zlokalizowany, obsuguje jzyki us, fr, de, es,
it, fi, zh. Jzyk skryptowy pozwala na rozszerzanie komend. Sympa moe
obsugiwa katalog LDAP lub relacyjne bazy danych do tworzenia
dynamicznych list. Obsuguje autentykacj i szyfrowanie oprarte o
S/MIME.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} DIR=%{home_s} CONFIG=%{_sysconfdir}/sympa/sympa.conf sources languages

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig

%{__make} \
	INITDIR=/etc/rc.d/init.d \
	HOST=MYHOST \
	DIR=%{home_s} \
	MANDIR=%{_mandir} \
	ICONSDIR=/home/httpd/icons/sympa \
	LIBDIR=%{home_s}/lib \
	BINDIR=%{home_s}/bin \
	CGIDIR=%{home_s}/sbin \
	MAILERPROGDIR=%{home_s}/bin \
	SBINDIR=%{home_s}/sbin \
	EXPL_DIR=%{home_s}/expl \
	ETCBINDIR=%{home_s}/etc \
	CONFDIR=%{_sysconfdir}/sympa \
	DESTDIR=$RPM_BUILD_ROOT install

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/sympa
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/sympa
install %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/sympa/sympa.conf
install %{SOURCE5} $RPM_BUILD_ROOT/%{_sysconfdir}/sympa/wwsympa.conf

%pre
if [ -n "`getgid sympa`" ]; then
	if [ "`getgid sympa`" != "71" ]; then
		echo "Error: group sympa doesn't have gid=71. Correct this before installing sympa." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 71 -r -f sympa
fi
if [ -n "`id -u sympa 2>/dev/null`" ]; then
	if [ "`id -u sympa`" != "71" ]; then
		echo "Error: user sympa doesn't have uid=71. Correct this before installing sympa." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 71 -r -d /home/sympa -s /bin/false -c "sympa" -g sympa sympa 1>&2
fi

# Setup log facility for Sympa
if [ -f /etc/syslog.conf ] ;then
  if [ `grep -c sympa /etc/syslog.conf` -eq 0 ] ;then
    typeset -i cntlog
    cntlog=0
    while [ `grep -c local${cntlog} /etc/syslog.conf` -gt 0 ];do cntlog=${cntlog}+1;done
    if [ ${cntlog} -le 9 ];then
      echo "# added by sympa-3.0 rpm $(date)" >> /etc/syslog.conf
      echo "local${cntlog}.*       /var/log/sympa" >> /etc/syslog.conf
    fi
  fi
fi

# try to add some sample entries in /etc/aliases for sympa
for a_file in /etc/aliases /etc/postfix/aliases /etc/mail/sympa.aliases; do
  if [ -f ${a_file} ]; then
    if [ `grep -c sympa ${a_file}` -eq 0 ]; then
      cp -f ${a_file} ${a_file}.rpmorig
      echo >> ${a_file}
      echo "# added by sympa-3.0 rpm "$(date) >> ${a_file}
      if [ `grep -c listmaster ${a_file}` -eq 0 ]; then
        echo "# listmaster:root" >> ${a_file}
      fi
      echo "# sympa:\"|/home/sympa/bin/queue 0 sympa\"" >> ${a_file}
      echo "# sympa-request:listmaster@${HOSTNAME}" >> ${a_file}
      echo "# sympa-owner:listmaster@${HOSTNAME}" >> ${a_file}
      echo "" >> ${a_file}
#     /usr/bin/newaliases
    fi
  fi
done

# eventually, add queue to sendmail security shell
if [ -d /etc/smrsh ]; then
  if [ ! -e /etc/smrsh/queue ]; then
    ln -s %{home_s}/bin/queue /etc/smrsh/queue
  fi
fi

%post
/sbin/chkconfig --add sympa
perl -pi -e "s|MYHOST|${HOSTNAME}|g" /etc/sympa/sympa.conf /etc/sympa/wwsympa.conf

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del sympa
fi

%postun
if [ ! -d %{home_s} ]; then
	/usr/sbin/userdel sympa
	/usr/sbin/groupdel sympa
fi
if [ "$1" = "0" -a -d /etc/smrsh ]; then
  if [ -L /etc/smrsh/queue ]; then
    rm -f /etc/smrsh/queue
  fi
fi

%files
%defattr(0755,sympa,sympa)
%doc [ACKNR]*

%dir %{home_s}
%dir %{home_s}/bin
%dir %{home_s}/lib/Marc
%dir %{home_s}/sample
%dir %{home_s}/expl
%dir %{home_s}/spool
%dir %{home_s}/nls
%dir %{home_s}/etc

%defattr(0744,sympa,sympa)
%dir %{home_s}/spool/*

# needs fixing - don't use defattr(-)!
%defattr(-,sympa,sympa)
%{home_s}/sample/*
%{home_s}/lib/Marc/*
%{home_s}/etc/*
%{home_s}/expl/*

%attr(0755,root,root)%dir /home/httpd/icons/sympa
%attr(0644,root,root) /home/httpd/icons/sympa/*

%defattr(-,sympa,sympa)
%{home_s}/bin/*.pl
%{home_s}/lib/*.pm
%{home_s}/lib/*.pl
%{home_s}/bin/create_db.*
%{home_s}/sbin/*.pl
%{home_s}/sbin/wwsympa.fcgi

%attr(4755,sympa,sympa) %{home_s}/bin/queue
%attr(4755,sympa,sympa) %{home_s}/bin/bouncequeue
%attr(4755,sympa,sympa) %{home_s}/bin/*wrapper

%{home_s}/nls/*.cat

%attr(640,sympa,sympa) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sympa/*.conf
%attr(640,sympa,root)  %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/sympa
%attr(754,root,root)  /etc/rc.d/init.d/sympa
%{_mandir}/man[58]/*

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sympa.spec,v $
Revision 1.34  2002/10/13 13:24:39  marcus
- rel.1.

Revision 1.33  2002/10/13 08:06:26  speedy
- fixed rm -f misssing
- release 1.0  [burn it babe]

Revision 1.32  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/10/02 05:37:47  speedy
- cleanup & fixed [db_file problem], release 0.10

Revision 1.30  2002/09/29 23:44:40  speedy
- release 0.9 - test

Revision 1.27  2002/09/29 16:52:26  speedy
- fixed %files

Revision 1.26  2002/08/17 21:04:02  qboosh
- better messages in pre, more Requires(), new %%doc

Revision 1.25  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/05/16 07:41:05  areq
- 3.3.5
- add ICONSDIR
- update pl templares to 3.3.5

Revision 1.23  2002/04/30 20:03:20  areq
- add PLD style /etc/rc.d/init.d/sympa and /etc/sysconfig/sympa

Revision 1.22  2002/04/28 20:55:20  areq
- add sympa-wws_templates-pl.tar.gz - raw polish translations wws_templates based
  on version 3.3.1 from eISP.pl <info@eisp.pl>
- sympa-wwslib-pl.patch

Revision 1.21  2002/04/27 21:50:07  areq
- add CONFIG=%{_sysconfdir}/sympa/sympa.conf
- Release 1.1

Revision 1.20  2002/04/19 17:14:57  areq
- start update to 3.3.4b.5

Revision 1.19  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/30 18:38:15  alchemyx
- ugly words back again. sorry.

Revision 1.16  2002/01/29 02:57:48  alchemyx
- one ugly word missed

Revision 1.15  2002/01/29 02:49:51  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.14  2002/01/18 02:15:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/09/25 13:43:34  qboosh
- Prereq: /sbin/chkconfig
- call chkconfig --del on remove
- pl translations
- release 3

Revision 1.12  2001/07/26 13:43:21  agaran
fixed group and maybe rcstags

Revision 1.11  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/06/21 07:29:03  yaro
- added requires perl-Digest-MD5
- need more work

Revision 1.8  2001/05/03 15:23:13  qboosh
- s/Corect/Correct/g

Revision 1.7  2001/04/17 12:19:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.6  2001/04/14 18:00:12  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.5  2001/03/10 17:12:01  mis
- updated (by autoup) to 3.0.3

Revision 1.4  2001/01/18 09:53:59  yaro
- fixed perl modules names
- fixed postin script
- need more fixes - in cgi module

Revision 1.3  2001/01/05 09:31:54  yaro
- moved config to /etc/sympa
- fixed prein script (need more fixes)
- fixed postin script

Revision 1.2  2001/01/05 08:12:59  yaro
- added makefile patch
- NYF

Revision 1.1  2001/01/05 07:07:31  yaro
- almost raw version (parsed by adapter)

